<script lang="ts">
</script>

<div class="wrapper shadow">
  <div class="inner" />
</div>

<style>
  .wrapper {
    background-color: snow;
    position: relative;
    width: 10em;
    height: 14em;
    border-radius: 7% / 5%;
    border: 0.05em solid #0002;
  }

  .inner {
    background: repeating-linear-gradient(
        45deg,
        #00000010,
        #00000010 5%,
        #00000020 5%,
        #00000020 10%
      ),
      repeating-linear-gradient(
        -45deg,
        #00000010,
        #00000010 5%,
        #00000020 5%,
        #00000020 10%
      ),
      radial-gradient(#828282, #7d7d7d);

    border: 0.05em solid #8888;
    border-radius: calc(7% * 0.5) / calc(5% * 0.5);
    position: absolute;
    top: calc(5% * 0.67);
    bottom: calc(5% * 0.67);
    left: calc(7% * 0.67);
    right: calc(7% * 0.67);
  }
</style>
